Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.iso.fs
Class CardIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  opencard.opt.iso.fs.CardIOException

All Implemented Interfaces:
  java.io.Serializable

    public class CardIOException

extends java.lang.RuntimeException

`CardIOException` is the base class for all `CardIO` related exceptions.

Version:
  $Id: CardIOException.java,v 1.1.1.1 1999/10/05 15:08:47 damke Exp $
Author:
  Dirk Husemann (hud@zurich.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected CardFile` | `cardFile` Some additional information.

Constructor Summary
`CardIOException()` The default constructor.
`CardIOException(java.lang.String message)` Give a message.
`CardIOException(java.lang.String message, CardFile cardFile)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cardFile

    protected CardFile cardFile

  Some additional information.

Constructor Detail

### CardIOException

    public CardIOException()

  The default constructor.

### CardIOException

    public CardIOException(java.lang.String message)

  Give a message.

  Parameters:
    `message` - a more detailed description of the exception

### CardIOException

    public CardIOException(java.lang.String message,
                           CardFile cardFile)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD